package com.server.alb.repositories

import com.server.alb.models.Platform
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query

interface PlatformRepository : JpaRepository<Platform, Long> {

    @Query("SELECT j.* FROM platforms j WHERE project=?1", nativeQuery = true)
    fun findPlatformById(id: String?): MutableList<Platform>
}